Name:		rhosp-openvswitch
Version:	2.10
Release:	0.1%{?dist}
Summary:	Wrapper rpm to allow installing OVS with new versioning schemes

Group:		System Environment/Daemons
License:	Public domain
URL:		http://www.openvswitch.org
BuildArch:  noarch

Requires:	openvswitch2.10
Provides:   openvswitch = 2.10
Obsoletes:  openvswitch < 2.10

%description
Wrapper rpm for the base openvswitch package

%package -n python-rhosp-openvswitch
Summary:    wrapper for python-openvswitch rpm
License:    Public domain
Requires:	python-openvswitch2.10
Provides:   python-openvswitch = 2.10
Obsoletes:  python-openvswitch < 2.10

%description -n python-rhosp-openvswitch
Wrapper rpm for the base python-openvswitch package

%package devel
Summary:    wrapper for openvswitch-devel rpm
License:    Public domain
Requires:	openvswitch2.10-devel
Provides:   openvswitch-devel = 2.10
Obsoletes:  openvswitch-devel < 2.10

%description devel
Wrapper rpm for the base openvswitch-devel package

%package ovn-central
Summary:    wrapper for openvswitch-ovn-central rpm
License:    Public domain
Requires:	openvswitch2.10-ovn-central
Provides:   openvswitch-ovn-central = 2.10
Obsoletes:  openvswitch-ovn-central < 2.10

%description ovn-central
Wrapper rpm for the base openvswitch-ovn-central package

%package ovn-host
Summary:    wrapper for openvswitch-ovn-host rpm
License:    Public domain
Requires:	openvswitch2.10-ovn-host
Provides:   openvswitch-ovn-host = 2.10
Obsoletes:  openvswitch-ovn-host < 2.10

%description ovn-host
Wrapper rpm for the base openvswitch-ovn-host package

%package ovn-vtep
Summary:    wrapper for openvswitch-ovn-vtep rpm
License:    Public domain
Requires:	openvswitch2.10-ovn-vtep
Provides:   openvswitch-ovn-vtep = 2.10
Obsoletes:  openvswitch-ovn-vtep < 2.10

%description ovn-vtep
Wrapper rpm for the base openvswitch-ovn-vtep package

%package ovn-common
Summary:    wrapper for openvswitch-ovn-common rpm
License:    Public domain
Requires:	openvswitch2.10-ovn-common
Provides:   openvswitch-ovn-common = 2.10
Obsoletes:  openvswitch-ovn-common < 2.10

%description ovn-common
Wrapper rpm for the base openvswitch-ovn-common package

%package ovn-docker
Summary:    wrapper for openvswitch-ovn-docker rpm
License:    Public domain
Requires:	openvswitch2.10-ovn-docker
Provides:   openvswitch-ovn-docker = 2.10
Obsoletes:  openvswitch-ovn-docker < 2.10

%description ovn-docker
Wrapper rpm for the base openvswitch-ovn-docker package

%package test
Summary:    wrapper for openvswitch-test rpm
License:    Public domain
Requires:	openvswitch2.10-test
Provides:   openvswitch-test = 2.10
Obsoletes:  openvswitch-test < 2.10

%description test
Wrapper rpm for the base openvswitch-test package

%setup

%build

%files
%files -n python-rhosp-openvswitch
%files devel
%files ovn-central
%files ovn-host
%files ovn-vtep
%files ovn-common
%files ovn-docker
%files test

%changelog
* Wed Jul 11 2018 Mike Burns <mburns@redhat.com> - 2.10-0.1
- initial spec for RHOSP openvswitch wrapper RPMs
